<template>
  <div class="flex !w-[269px] items-start rounded-[12px] p-6 flex-col gap-4 border border-borderColor border-opacity-100 cursor-pointer" @click="onClick">
    <div class="flex flex-col items-start gap-2 self-stretch">
      <div class="flex items-center gap-2 self-stretch">
        <div>
          <Icon
            :icon="indicatorIcon"
            height="32"
            width="32"
            class="text-primary"
          />
        </div>

        <svn-pro-text bodyLarge medium color="primary" class="line-clamp-2">
          {{ indicatorName }}
        </svn-pro-text>
      </div>

      <svn-pro-text bodyMedium medium class="line-clamp-2">
        {{ targetTitle }}
      </svn-pro-text>
    </div>

    <div class="flex items-center self-stretch gap-1">
      <Icon
        icon="mingcute:calendar-month-line"
        height="20"
        width="20"
        class="text-onSurfaceVariant"
      />

      <svn-pro-text bodyMedium regular color="onSurfaceVariant">
        {{ targetDeadline }}
      </svn-pro-text>
    </div>
  </div>
</template>

<script setup>
import { Icon } from '@iconify/vue';
import SvnProText from "../../components/styles/SvnProText.vue";

const props = defineProps({
  indicatorIcon: {
    type: String,
    default: undefined,
  },
  indicatorName: {
    type: String,
    default: undefined,
  },
  targetTitle: {
    type: String,
    default: undefined,
  },
  targetDeadline: {
    type: String,
    default: undefined,
  },
})

const emits = defineEmits(['click'])

const onClick = () => {
  emits('click')
}
</script>